List user groups assigned to a team
GET
/teams/{id}/groups
const url = 'https://gitea.example.com/api/v1/teams/1/groups';const options = {method: 'GET', headers: {Authorization: 'Basic <credentials>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://gitea.example.com/api/v1/teams/1/groups \ --header 'Authorization: Basic <credentials>'Gitea Enterprise only. This endpoint is not part of the community edition.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
integer format: int64
Id of the team
Responses
Section titled “Responses”List of user groups assigned to the team
Media typeapplication/json
Array<object>
UserGroup represents a user group in API responses.object
description
string
id
integer format: int64
name
string
parent_id
integer format: int64
Examplegenerated
[ { "description": "example", "id": 1, "name": "example", "parent_id": 1 }]APINotFound is a not found empty response
Media typeapplication/json